Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 201732 - Preloader class chooser lists classes of non-Preloader class type
Preloader class chooser lists classes of non-Preloader class type
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Deployment
7.1
PC Other
: P3 (vote)
: 7.4
Assigned To: Petr Somol
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 09:51 UTC by Petr Somol
Modified: 2014-01-08 07:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2011-09-07 09:51:34 UTC
In FX Project Properties Run panel switch on Preloader checkbox and using Browse button open a jar file presumably containing classes of javafx.application.Preloader type. Then the preloader class comboBox offers all classes in jar, not only those of the correct type.
Comment 1 Petr Somol 2013-02-14 12:10:14 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/22b9e1237e1c
Comment 2 Quality Engineering 2013-02-17 01:49:35 UTC
Integrated into 'main-golden', will be available in build *201302162300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/22b9e1237e1c
User: Petr Somol <psomol@netbeans.org>
Log: #201732 - Preloader class chooser lists classes of non-Preloader class type


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo